﻿Ext.define('App.View.Kivii.Finances.Dashboard', {
    extend: 'Ext.Container',
    xtype: 'App.View.Kivii.Finances.Chart.Manager',
    title: '统计',
    iconCls: 'x-fa fa-bar-chart',
    requires: [
    	'App.Control.Kivii.Finances.Statistic.Chart',
    	'App.Control.Kivii.Finances.Payment.Chart.Department',
        'App.Control.Kivii.Finances.Payment.Chart.Month',
        'App.Control.Kivii.Finances.Settlement.Chart.Department',
        'App.Control.Kivii.Finances.Settlement.Chart.Type',
        'Package.ux'
    ],
    layout: {
        type: 'responsivecolumn',
        states: {
            small: 300,
            large: 0
        }
    },
    autoScroll: true,
    items: [{
    	xtype:'App.Control.Kivii.Finances.Statistic.Chart',
    	responsiveCls: 'big-100 small-100',
		// height:460
    },{
    	xtype:'App.Control.Kivii.Finances.Payment.Chart.Department',
    	responsiveCls: 'big-50 small-100',
		height:560
    },{
    	xtype:'App.Control.Kivii.Finances.Payment.Chart.Month',
    	responsiveCls: 'big-50 small-100',
		height:560
    },{
    	xtype:'App.Control.Kivii.Finances.Settlement.Chart.Department',
    	responsiveCls: 'big-60 small-100',
		height:560
    },{
		xtype: 'App.Control.Kivii.Finances.Settlement.Chart.Type',
		responsiveCls: 'big-40 small-100',
		height:560
    }]
});